package com.jdc.jdcproject.controller;

import com.jdc.jdcproject.entity.DicekePlatearea;
import com.jdc.jdcproject.service.IDicekePlateareaService;
import com.jdc.jdcproject.utils.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * <p>
 * 平盘 前端控制器
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@RestController
@RequestMapping("/dicekePlatearea")
public class DicekePlateareaController {

    @Autowired
    private IDicekePlateareaService dicekePlateareaService;


    @Operation(summary = "查询所有平盘")
    @GetMapping("findAllPlateArea")
    public Result findAllPlateArea() {
        List<DicekePlatearea> platearealist = dicekePlateareaService.list();
        return Result.successResult().data("plateArea",platearealist);
    }

    @Operation(summary = "根据id查询平盘信息")
    @GetMapping("findPlateAreaById/{id}")
    public Result updatePlateArea(@PathVariable String id) {
        DicekePlatearea dicekePlatearea = dicekePlateareaService.getById(id);
        return Result.successResult().data("dicekePlatearea",dicekePlatearea);
    }


    @Operation(summary = "修改平盘信息")
    @PostMapping("updatePlateArea")
    public Result updatePlateArea(@RequestBody DicekePlatearea platearea) {
        boolean updateflag = dicekePlateareaService.updateById(platearea);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "删除平盘信息")
    @DeleteMapping("deletePlateArea/{id}")
    public Result deletePlateArea(@PathVariable String id) {
        boolean updateflag = dicekePlateareaService.removeById(id);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }

    @Operation(summary = "新增平盘信息")
    @PostMapping("addPlateArea")
    public Result addPlateArea(@RequestBody DicekePlatearea platearea) {
        boolean updateflag = dicekePlateareaService.save(platearea);
        if (updateflag) {
            return Result.successResult();
        } else {
            return Result.errorResult();
        }
    }




}
