package com.jdc.jdcproject.entity.VO;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

@Data
public class DicekeMiningrecordVo {

    private static final long serialVersionUID = 1L;

    @Schema(description = "主键")
    @TableId("RecordID")
    private String recordID;

    @Schema(description = "平盘名称")
    private String plateRange;

    @Schema(description = "铲号")
    private String shovelCode;

    @Schema(description = "月份")
    private LocalDate month;

    @Schema(description = "采矿量/出矿量/实采总量（单位：吨）")
    private Double totalMiningTon;

    @Schema(description = "金属量（仅铝品位报表需要）")
    private Double metalTon;

    @Schema(description = "块段采矿品位（%）")
    private Double miningGrade;

    @Schema(description = "块段氧化率（%）")
    private Double oxidationRate;

    @Schema(description = "全月平均品位（%）")
    private Double avgGrade;

    @Schema(description = "选矿平均品位（%）")
    private Double dressingGrade;

    @Schema(description = "全月平均氧化率（%）")
    private Double avgOxidationRate;

    @Schema(description = "备注")
    private String beizhu;

    @Override
    public String toString() {
        return "DicekeMiningrecord{" +
                "recordID = " + recordID +
                ", plateID = " + plateRange +
                ", shovelID = " + shovelCode +
                ", month = " + month +
                ", totalMiningTon = " + totalMiningTon +
                ", metalTon = " + metalTon +
                ", miningGrade = " + miningGrade +
                ", oxidationRate = " + oxidationRate +
                ", avgGrade = " + avgGrade +
                ", dressingGrade = " + dressingGrade +
                ", avgOxidationRate = " + avgOxidationRate +
                ", beizhu = " + beizhu +
                "}";
    }
}
